# Node Foundation CTC Meeting 2015-12-02

## Links

* **Audio Recording**: https://soundcloud.com/node-foundation/ctc-meeting-2015-12-02
* **GitHub Issue**: https://github.com/nodejs/node/issues/4115
* **Minutes Google Doc**: <https://docs.google.com/document/d/1fCXy_N0kGISl7JEPf6g1n15eJ_ZcebUPzNA0Mkd79Lc>
* _Previous Minutes Google Doc: <https://docs.google.com/document/d/1ZqK0uKe5wAxNB8v9EwV2DtsYHBvBxJdv3zM0Ldc9RW0>_

## Present

* Rod Vagg (CTC)
* James Snell (CTC)
* Ben Noordhuis (CTC)
* Jeremiah Senkpiel (CTC)
* Trevor Norris (CTC)
* Mikeal Rogers (observer)
* Fedor Indutny (CTC)
* Colin Ihrig (CTC)
* Steven R Loomis (observer)
* Brian White (CTC)
* Michael Dawson (observer)
* Alexis Campailla (CTC)
* Bert Belder (CTC)

## Agenda

Extracted from **ctc-agenda** labelled issues and pull requests from the **nodejs org** prior to the meeting.

### nodejs/node

* tools: change tick processor install path [#4021](https://github.com/nodejs/node/pull/4021)
* Seek legal advice on LICENSE and copyright blocks in code [#3979](https://github.com/nodejs/node/issues/3979)
* Potential Licensing issues with npm [#3959](https://github.com/nodejs/node/issues/3959)
* Joyent Copyright still in header of many files [#3926](https://github.com/nodejs/node/issues/3926)
* doc: update irc channels to point to #node.js and #node-dev [#2743](https://github.com/nodejs/node/pull/2743)


### Standup

* Rod Vagg: Catching up from some time off, preparing for security releases tomorrow.
* Ben Noordhuis: Pull requests and bug reports.
* Jeremiah Senkpiel: Large refactoring of timers, general project stuff—PRs and issues, spinning up the CI WG, trying to do more onboarding.
* Trevor Norris: PR review & merging, not too much.
* Mikeal Rogers: Prep for board meeting, new events page on website.
* Fedor Indutny: PR review, fixing fsevents bug in libuv
* Colin Ihrig: Usual issues & PRs
* Brian White: landed a few PRs, commented on issues
* Michael Dawson - Addition of FIPS tests to regression job and some ongoing FIPs related work, still trying to line up AIX machines, investigation with team on some failures on AIX, scheduled next benchmarking meeting, hoping to add charts for initial footprint benchmark, adding other build team members to softlayer/osu environments.
* Alexis Campailla: some build stuff, further investigation into native module build service
* Bert Belder: ?


## Review of last meeting

* Re-discuss if error message changes are semver-major [#3776](https://github.com/nodejs/node/issues/3776)

## tools: change tick processor install path [#4021](https://github.com/nodejs/node/pull/4021)

* Ben: Matthew Loring from google has been working on this but has found an npm package with the name “node-tick-processor”

* Discussed how we should deal with potential node core tooling that already shares a same name on npm.

## Seek legal advice on LICENSE and copyright blocks in code [#3979](https://github.com/nodejs/node/issues/3979)

1. Potential Licensing issues with npm [#3959](https://github.com/nodejs/node/issues/3959)
2. Joyent Copyright still in header of many files [#3926](https://github.com/nodejs/node/issues/3926)

* Rod outlined the approach he came up with in https://github.com/nodejs/node/issues/3979 for seeking legal input from the board (via whatever means they want) on (1) the head LICENSE file and (2) copyright and license blocks at the top of files and (3) the npm licensing issues raised in #3959.

* Group agreed to move forward with the approach and to allow Rod and Mikeal to tune the wording before handing off.

## doc: update irc channels to point to #node.js and #node-dev [#2743](https://github.com/nodejs/node/pull/2743)

* No objections to renaming to #node-dev

## TSC meeting tomorrow

Briefly discussed the meeting tomorrow in this timeslot. Admitting libuv to the foundation as an incubator project.

## Next Meeting

December 9th, 2015
